<?php

namespace Slovocast\Domain\Entity;

use Slovocast\Domain\Entity as EntityTrait;

class Transaction
{
    use EntityTrait;

    public function __construct(
        private string $code,
        private string $type,
        private int $total,
    ) { }

    public function getCode(): string
    {
        return $this->code;
    }

    public function getType(): string
    {
        return $this->type;
    }

    public function getTotal(): int
    {
        return $this->total;
    }
}
